none
Переход от VS 2012 к VS 2010 RRS feed

Ответы

  • Использовать .Net 4.5 в 2010 - ой студии не получится, так что в установке толка нет. А вот то, что у вас там IIS 7.5 не установлен, немного странно. Так как он устанавливается с SP1 к VS2010, а без SP1 MVC 3 не установится. Тут скорее всего дело в вашем конкретном проекте. Можете пересоздать его в Visual Studio 2010 SP1, и он в обеих версиях студии (2010 и 2012) будет открываться без проблем.
    • Помечено в качестве ответа Higgs.Boson 14 мая 2013 г. 7:23
    Модератор

Все ответы

  • Установлены ли средства MVC 3 (ASP.NET MVC3 with Tools) в Visual Studio 2010. Других причин не вижу, всё должно работать.
    Модератор
  • Должны быть установлены эти компоненты, поскольку раньше я на vs2010 создавал проекты mvc3

    Вот что он мне пишет (это я открываю проект созданный на vs2012):


    • Изменено Higgs.Boson 13 мая 2013 г. 10:08
  • Откройте файл решения в блокноте и замените 12 версию на 11:

    Отвечающий
  • Поменял, но, к сожалению это не помогло
  • Какие ещё проекты в решении есть, кроме проекта MVC 3?
    Модератор
  • Я использую в своем проекте EF, а также LOcalDB. Думаю, стоит обновить EF и установить обновление для LocalDB 

    Update 4.0.2 for Microsoft .NET Framework 4 – Design-time Update for Visual Studio 2010 SP1 (KB2544525)


    ну, а также sql server express 2012  c нужным ПО для поддержки локальной базы
    • Изменено Higgs.Boson 13 мая 2013 г. 12:44
  • Я не о том, что используется, а о проекте в решении кроме mvc 3.
    Модератор
  • Один проект в решении - mvc3
  • Странно, то что указали вы не причина. Попробуйте создать новое простое приложение MVC3 в vs 2012 и попробовать открыть его в vs 2010.
    • Помечено в качестве ответа Higgs.Boson 14 мая 2013 г. 7:23
    • Снята пометка об ответе Higgs.Boson 14 мая 2013 г. 7:23
    Модератор
  • Странно, я взял и снова перекинул проект из 2012 в 2010, изменив при этом версию платформы (была 4.5, перекомпилировал на 4 в свойствах проекта). На машине, где стоит 2010 4.5 не установлен. Система пошла, единственное, что попросил установить iis express 7.5. Не понимаю, из-за версия платформы такое может быть?
  • Использовать .Net 4.5 в 2010 - ой студии не получится, так что в установке толка нет. А вот то, что у вас там IIS 7.5 не установлен, немного странно. Так как он устанавливается с SP1 к VS2010, а без SP1 MVC 3 не установится. Тут скорее всего дело в вашем конкретном проекте. Можете пересоздать его в Visual Studio 2010 SP1, и он в обеих версиях студии (2010 и 2012) будет открываться без проблем.
    • Помечено в качестве ответа Higgs.Boson 14 мая 2013 г. 7:23
    Модератор
  • Просто компьютер, на котором vs2010 достался на работе мне от другого человека. На сколько я помню полгода назад, когда я начал изучать asp.net, я устанавливал дополнительно компоненты для mvc3. Действительно, у меня 2010 sp1; что касается IIS 7.5, возможно, что при установке не поставили все галочки когда устанавливали VS с нуля